jQuery Toolsのドメイン期限切れとArconix Shortcodesプラグインの修正方法

Pocket

jQuery Toolsのページ でも案内されているjQuery Tools UI libraryの公式の読み込み元である http://cdn.jquerytools.org/1.2.6/full/jquery.tools.min.js が、ドメイン期限切れのため、アクセスできなくなっています(2017年12月24日現在)。

その影響で、Arconix ShortcodesというWordPressのプラグインが正常に動作しなくなっています(2017年12月24日現在)。

jQuery Tools UI libraryの読み込み元にアクセスできるようになるか、プラグインの側で正式に対応するまでの応急処置として、プラグインのコードに以下の修正をしました。

修正方法は以下の通りです。
プラグインのコードにある、上記のアクセスできなくなったサイトにある「jquery.tools.min.js」のURLを指定している部分を、プラグインに含まれる「jquery.tools.min.js」のURLになるように修正します。
具体的には、「wp-content/plugins/arconix-shortcodes/plugin.php」の107行目

に変更すれば、修正完了です。(URLが異なる場合は適宜修正してください。)

更新(2017-01-09)
Arconix Shortcodes のバージョン 2.1.2 で、この問題に対処済になったようです。